var Fingerprint = GetInputConstructorValue("Fingerprint", loader);
if(Fingerprint["original"].length == 0){
	Invalid("Fingerprint" + " is empty");
	return;
};
var UserAgent = this.$el.find("#UserAgent").val().toUpperCase();
var AppVersion = this.$el.find("#AppVersion").val().toUpperCase();
var Lang = this.$el.find("#Lang").val().toUpperCase();
var UnmaskedVendor = this.$el.find("#UnmaskedVendor").val().toUpperCase();
var UnmaskedRenderer = this.$el.find("#UnmaskedRenderer").val().toUpperCase();
var Vendor = this.$el.find("#Vendor").val().toUpperCase();
var Renderer = this.$el.find("#Renderer").val().toUpperCase();
var Width = this.$el.find("#Width").val().toUpperCase();
var Height = this.$el.find("#Height").val().toUpperCase();
var ScreenWidth = this.$el.find("#ScreenWidth").val().toUpperCase();
var ScreenHeight = this.$el.find("#ScreenHeight").val().toUpperCase();
var ScreenAvailWidth = this.$el.find("#ScreenAvailWidth").val().toUpperCase();
var ScreenAvailHeight = this.$el.find("#ScreenAvailHeight").val().toUpperCase();
try{
	var code = loader.GetAdditionalData() + _.template($("#parse_fingerprint_code").html())({
		"Fingerprint": Fingerprint["updated"],
		"UserAgent": "VAR_" + UserAgent,
		"AppVersion": "VAR_" + AppVersion,
		"Lang": "VAR_" + Lang,
		"UnmaskedVendor": "VAR_" + UnmaskedVendor,
		"UnmaskedRenderer": "VAR_" + UnmaskedRenderer,
		"Vendor": "VAR_" + Vendor,
		"Renderer": "VAR_" + Renderer,
		"Width": "VAR_" + Width,
		"Height": "VAR_" + Height,
		"ScreenWidth": "VAR_" + ScreenWidth,
		"ScreenHeight": "VAR_" + ScreenHeight,
		"ScreenAvailWidth": "VAR_" + ScreenAvailWidth,
		"ScreenAvailHeight": "VAR_" + ScreenAvailHeight
		});
	code = Normalize(code,0);
	BrowserAutomationStudio_Append("", BrowserAutomationStudio_SaveControls() + code, action, DisableIfAdd);
}catch(e)
{}